<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <!-- General information -->
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>ru.entaxy.esb</groupId>
        <artifactId>underlying</artifactId>
        <version>1.8.2.2</version>
    </parent>

    <groupId>org.codehaus.woodstox</groupId>
    <artifactId>woodstox-core-asl</artifactId>
    <packaging>bundle</packaging>
    <name>Woodstox</name>
    <version>4.4.1-ENTAXY</version>
    <description>Woodstox is a high-performance XML processor that implements Stax (JSR-173) and SAX2 APIs</description>

    <!-- Contact information -->
    <url>http://woodstox.codehaus.org</url>
    <scm>
        <url>http://xircles.codehaus.org/projects/woodstox/repos/primary/repo</url>
    </scm>
    <issueManagement>
        <url>http://jira.codehaus.org/browse/WSTX</url>
    </issueManagement>
    <developers>
        <developer>
            <id>cowtowncoder</id>
            <name>Tatu Saloranta</name>
            <email>tatu@fasterxml.com</email>
        </developer>
    </developers>

    <!-- Dependency information -->
    <dependencies>
        <dependency>
            <groupId>org.codehaus.woodstox</groupId>
            <artifactId>woodstox-core-asl</artifactId>
            <version>4.4.1</version>
        </dependency>
    </dependencies>

    <!-- Licensing (joy!) -->
    <licenses>
        <license>
            <name>The Apache Software License, Version 2.0</name>
            <url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
            <distribution>repo</distribution>
        </license>
    </licenses>

    <organization>
        <name>Codehaus</name>
        <url>http://www.codehaus.org/</url>
    </organization>

    <properties>
        <bundle.osgi.private.pkg>
            com.ctc.wstx.*
        </bundle.osgi.private.pkg>
        <bundle.osgi.export.pkg>
            com.ctc.wstx.sr,
            com.ctc.wstx.msv,
            com.ctc.wstx.osgi,
            com.ctc.wstx.dom,
            com.ctc.wstx.api,
            com.ctc.wstx.sw,
            com.ctc.wstx.cfg,
            com.ctc.wstx.stax,
            com.ctc.wstx.sax
        </bundle.osgi.export.pkg>
        <bundle.osgi.import.pkg>
            javax.xml.namespace,
            javax.xml.parsers,
            javax.xml.stream,
            javax.xml.stream.events,
            javax.xml.stream.util,
            javax.xml.transform,
            javax.xml.transform.dom,
            javax.xml.transform.sax,
            javax.xml.transform.stream,
            org.codehaus.stax2;version="[3.1.4,4)",
            org.codehaus.stax2.io;version="[3.1.4,4)",
            org.codehaus.stax2.osgi;version="[3.1.4,4)",
            org.codehaus.stax2.ri;version="[3.1.4,4)",
            org.codehaus.stax2.ri.dom;version="[3.1.4,4)",
            org.codehaus.stax2.ri.evt;version="[3.1.4,4)",
            org.codehaus.stax2.ri.typed;version="[3.1.4,4)",
            org.codehaus.stax2.typed;version="[3.1.4,4)",
            org.codehaus.stax2.validation;version="[3.1.4,4)",
            org.osgi.framework,
            org.w3c.dom,
            org.xml.sax,
            org.xml.sax.ext,
            org.xml.sax.helpers
        </bundle.osgi.import.pkg>
    </properties>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-shade-plugin</artifactId>
                <version>3.2.4</version>
                <executions>
                    <execution>
                        <phase>package</phase>
                        <goals>
                            <goal>shade</goal>
                        </goals>
                        <configuration>
                            <artifactSet>
                                <includes>
                                    <include>org.codehaus.woodstox:woodstox-core-asl</include>
                                </includes>
                            </artifactSet>
                            <promoteTransitiveDependencies>true</promoteTransitiveDependencies>
                            <createDependencyReducedPom>true</createDependencyReducedPom>
                            <transformers>
                                <transformer implementation="org.apache.maven.plugins.shade.resource.ManifestResourceTransformer">
                                    <manifestEntries>
                                    </manifestEntries>
                                </transformer>
                            </transformers>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
